
Lists of 107 third-party dependencies.
     (Eclipse Public License - v 1.0) (GNU Lesser General Public License) Logback Classic Module (ch.qos.logback:logback-classic:1.2.11 - http://logback.qos.ch/logback-classic)
     (Eclipse Public License - v 1.0) (GNU Lesser General Public License) Logback Core Module (ch.qos.logback:logback-core:1.2.11 - http://logback.qos.ch/logback-core)
     (Apache License, Version 2.0) ClassMate (com.fasterxml:classmate:1.5.1 - https://github.com/FasterXML/java-classmate)
     (The Apache Software License, Version 2.0) Jackson-annotations (com.fasterxml.jackson.core:jackson-annotations:2.13.2 - http://github.com/FasterXML/jackson)
     (The Apache Software License, Version 2.0) Jackson-core (com.fasterxml.jackson.core:jackson-core:2.13.2 - https://github.com/FasterXML/jackson-core)
     (The Apache Software License, Version 2.0) jackson-databind (com.fasterxml.jackson.core:jackson-databind:2.13.2.2 - http://github.com/FasterXML/jackson)
     (The Apache Software License, Version 2.0) Jackson datatype: jdk8 (com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.13.2 - https://github.com/FasterXML/jackson-modules-java8/jackson-datatype-jdk8)
     (The Apache Software License, Version 2.0) Jackson datatype: JSR310 (com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.13.2 - https://github.com/FasterXML/jackson-modules-java8/jackson-datatype-jsr310)
     (The Apache Software License, Version 2.0) Jackson-module-parameter-names (com.fasterxml.jackson.module:jackson-module-parameter-names:2.13.2 - https://github.com/FasterXML/jackson-modules-java8/jackson-module-parameter-names)
     (The Apache Software License, Version 2.0) project ':json-path' (com.jayway.jsonpath:json-path:2.6.0 - https://github.com/jayway/JsonPath)
     (Apache License 2.0) JSON library from Android SDK (com.vaadin.external.google:android-json:0.0.20131108.vaadin1 - http://developer.android.com/sdk)
     (The MIT License (MIT)) ClassGraph (io.github.classgraph:classgraph:4.8.83 - https://github.com/classgraph/classgraph)
     (Apache License, Version 2.0) Netty/Buffer (io.netty:netty-buffer:4.1.75.Final - https://netty.io/netty-buffer/)
     (Apache License, Version 2.0) Netty/Codec (io.netty:netty-codec:4.1.75.Final - https://netty.io/netty-codec/)
     (Apache License, Version 2.0) Netty/Codec/DNS (io.netty:netty-codec-dns:4.1.75.Final - https://netty.io/netty-codec-dns/)
     (Apache License, Version 2.0) Netty/Codec/HTTP (io.netty:netty-codec-http:4.1.75.Final - https://netty.io/netty-codec-http/)
     (Apache License, Version 2.0) Netty/Codec/HTTP2 (io.netty:netty-codec-http2:4.1.75.Final - https://netty.io/netty-codec-http2/)
     (Apache License, Version 2.0) Netty/Codec/Socks (io.netty:netty-codec-socks:4.1.75.Final - https://netty.io/netty-codec-socks/)
     (Apache License, Version 2.0) Netty/Common (io.netty:netty-common:4.1.75.Final - https://netty.io/netty-common/)
     (Apache License, Version 2.0) Netty/Handler (io.netty:netty-handler:4.1.75.Final - https://netty.io/netty-handler/)
     (Apache License, Version 2.0) Netty/Handler/Proxy (io.netty:netty-handler-proxy:4.1.75.Final - https://netty.io/netty-handler-proxy/)
     (Apache License, Version 2.0) Netty/Resolver (io.netty:netty-resolver:4.1.75.Final - https://netty.io/netty-resolver/)
     (Apache License, Version 2.0) Netty/Resolver/DNS (io.netty:netty-resolver-dns:4.1.75.Final - https://netty.io/netty-resolver-dns/)
     (Apache License, Version 2.0) Netty/Resolver/DNS/Classes/MacOS (io.netty:netty-resolver-dns-classes-macos:4.1.75.Final - https://netty.io/netty-resolver-dns-classes-macos/)
     (Apache License, Version 2.0) Netty/Resolver/DNS/Native/MacOS (io.netty:netty-resolver-dns-native-macos:4.1.75.Final - https://netty.io/netty-resolver-dns-native-macos/)
     (Apache License, Version 2.0) Netty/Transport (io.netty:netty-transport:4.1.75.Final - https://netty.io/netty-transport/)
     (Apache License, Version 2.0) Netty/Transport/Classes/Epoll (io.netty:netty-transport-classes-epoll:4.1.75.Final - https://netty.io/netty-transport-classes-epoll/)
     (Apache License, Version 2.0) Netty/Transport/Native/Epoll (io.netty:netty-transport-native-epoll:4.1.75.Final - https://netty.io/netty-transport-native-epoll/)
     (Apache License, Version 2.0) Netty/Transport/Native/Unix/Common (io.netty:netty-transport-native-unix-common:4.1.75.Final - https://netty.io/netty-transport-native-unix-common/)
     (Apache License, Version 2.0) Non-Blocking Reactive Foundation for the JVM (io.projectreactor:reactor-core:3.4.16 - https://github.com/reactor/reactor-core)
     (The Apache Software License, Version 2.0) Core functionality for the Reactor Netty library (io.projectreactor.netty:reactor-netty-core:1.0.17 - https://github.com/reactor/reactor-netty)
     (The Apache Software License, Version 2.0) HTTP functionality for the Reactor Netty library (io.projectreactor.netty:reactor-netty-http:1.0.17 - https://github.com/reactor/reactor-netty)
     (The Apache Software License, Version 2.0) springfox-bean-validators (io.springfox:springfox-bean-validators:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-boot-starter (io.springfox:springfox-boot-starter:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-core (io.springfox:springfox-core:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-data-rest (io.springfox:springfox-data-rest:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-oas (io.springfox:springfox-oas:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-schema (io.springfox:springfox-schema:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-spi (io.springfox:springfox-spi:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-spring-web (io.springfox:springfox-spring-web:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-spring-webflux (io.springfox:springfox-spring-webflux:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-spring-webmvc (io.springfox:springfox-spring-webmvc:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-swagger-common (io.springfox:springfox-swagger-common:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-swagger-ui (io.springfox:springfox-swagger-ui:3.0.0 - https://github.com/springfox/springfox)
     (The Apache Software License, Version 2.0) springfox-swagger2 (io.springfox:springfox-swagger2:3.0.0 - https://github.com/springfox/springfox)
     (Apache License 2.0) swagger-annotations (io.swagger:swagger-annotations:1.5.20 - https://github.com/swagger-api/swagger-core/modules/swagger-annotations)
     (Apache License 2.0) swagger-models (io.swagger:swagger-models:1.5.20 - https://github.com/swagger-api/swagger-core/modules/swagger-models)
     (Apache License 2.0) swagger-annotations (io.swagger.core.v3:swagger-annotations:2.1.2 - https://github.com/swagger-api/swagger-core/modules/swagger-annotations)
     (Apache License 2.0) swagger-models (io.swagger.core.v3:swagger-models:2.1.2 - https://github.com/swagger-api/swagger-core/modules/swagger-models)
     (EDL 1.0) Jakarta Activation API jar (jakarta.activation:jakarta.activation-api:1.2.2 - https://github.com/eclipse-ee4j/jaf/jakarta.activation-api)
     (EPL 2.0) (GPL2 w/ CPE) Jakarta Annotations API (jakarta.annotation:jakarta.annotation-api:1.3.5 - https://projects.eclipse.org/projects/ee4j.ca)
     (Eclipse Distribution License - v 1.0) Jakarta XML Binding API (jakarta.xml.bind:jakarta.xml.bind-api:2.3.3 - https://github.com/eclipse-ee4j/jaxb-api/jakarta.xml.bind-api)
     (Apache License, Version 2.0) Byte Buddy (without dependencies) (net.bytebuddy:byte-buddy:1.11.22 - https://bytebuddy.net/byte-buddy)
     (Apache License, Version 2.0) Byte Buddy agent (net.bytebuddy:byte-buddy-agent:1.11.22 - https://bytebuddy.net/byte-buddy-agent)
     (The Apache Software License, Version 2.0) ASM based accessors helper used by json-smart (net.minidev:accessors-smart:2.4.8 - https://urielch.github.io/)
     (The Apache Software License, Version 2.0) JSON Small and Fast Parser (net.minidev:json-smart:2.4.8 - https://urielch.github.io/)
     (Apache License, Version 2.0) Apache Log4j API (org.apache.logging.log4j:log4j-api:2.17.2 - https://logging.apache.org/log4j/2.x/log4j-api/)
     (Apache License, Version 2.0) Apache Log4j to SLF4J Adapter (org.apache.logging.log4j:log4j-to-slf4j:2.17.2 - https://logging.apache.org/log4j/2.x/log4j-to-slf4j/)
     (Apache License, Version 2.0) tomcat-embed-core (org.apache.tomcat.embed:tomcat-embed-core:9.0.60 - https://tomcat.apache.org/)
     (Apache License, Version 2.0) tomcat-embed-el (org.apache.tomcat.embed:tomcat-embed-el:9.0.60 - https://tomcat.apache.org/)
     (Apache License, Version 2.0) tomcat-embed-websocket (org.apache.tomcat.embed:tomcat-embed-websocket:9.0.60 - https://tomcat.apache.org/)
     (The Apache License, Version 2.0) org.apiguardian:apiguardian-api (org.apiguardian:apiguardian-api:1.1.2 - https://github.com/apiguardian-team/apiguardian)
     (Apache License, Version 2.0) AssertJ fluent assertions (org.assertj:assertj-core:3.21.0 - https://assertj.github.io/doc/assertj-core/)
     (BSD License 3) Hamcrest (org.hamcrest:hamcrest:2.2 - http://hamcrest.org/JavaHamcrest/)
     (Eclipse Public License v2.0) JUnit Jupiter (Aggregator) (org.junit.jupiter:junit-jupiter:5.8.2 - https://junit.org/junit5/)
     (Eclipse Public License v2.0) JUnit Jupiter API (org.junit.jupiter:junit-jupiter-api:5.8.2 - https://junit.org/junit5/)
     (Eclipse Public License v2.0) JUnit Jupiter Engine (org.junit.jupiter:junit-jupiter-engine:5.8.2 - https://junit.org/junit5/)
     (Eclipse Public License v2.0) JUnit Jupiter Params (org.junit.jupiter:junit-jupiter-params:5.8.2 - https://junit.org/junit5/)
     (Eclipse Public License v2.0) JUnit Platform Commons (org.junit.platform:junit-platform-commons:1.8.2 - https://junit.org/junit5/)
     (Eclipse Public License v2.0) JUnit Platform Engine API (org.junit.platform:junit-platform-engine:1.8.2 - https://junit.org/junit5/)
     (The Apache Software License, Version 2.0) MapStruct Core (org.mapstruct:mapstruct:1.3.1.Final - http://mapstruct.org/mapstruct/)
     (The MIT License) mockito-core (org.mockito:mockito-core:4.0.0 - https://github.com/mockito/mockito)
     (The MIT License) mockito-junit-jupiter (org.mockito:mockito-junit-jupiter:4.0.0 - https://github.com/mockito/mockito)
     (Apache License, Version 2.0) Objenesis (org.objenesis:objenesis:3.2 - http://objenesis.org/objenesis)
     (The Apache License, Version 2.0) org.opentest4j:opentest4j (org.opentest4j:opentest4j:1.2.0 - https://github.com/ota4j-team/opentest4j)
     (BSD-3-Clause) asm (org.ow2.asm:asm:9.1 - http://asm.ow2.io/)
     (The MIT License) Project Lombok (org.projectlombok:lombok:1.18.22 - https://projectlombok.org)
     (CC0) reactive-streams (org.reactivestreams:reactive-streams:1.0.3 - http://www.reactive-streams.org/)
     (The Apache Software License, Version 2.0) JSONassert (org.skyscreamer:jsonassert:1.5.0 - https://github.com/skyscreamer/JSONassert)
     (MIT License) JUL to SLF4J bridge (org.slf4j:jul-to-slf4j:1.7.36 - http://www.slf4j.org)
     (MIT License) SLF4J API Module (org.slf4j:slf4j-api:1.7.36 - http://www.slf4j.org)
     (Apache License, Version 2.0) Spring AOP (org.springframework:spring-aop:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Beans (org.springframework:spring-beans:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Context (org.springframework:spring-context:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Core (org.springframework:spring-core:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Expression Language (SpEL) (org.springframework:spring-expression:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Commons Logging Bridge (org.springframework:spring-jcl:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring TestContext Framework (org.springframework:spring-test:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Web (org.springframework:spring-web:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring WebFlux (org.springframework:spring-webflux:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) Spring Web MVC (org.springframework:spring-webmvc:5.3.18 - https://github.com/spring-projects/spring-framework)
     (Apache License, Version 2.0) spring-boot (org.springframework.boot:spring-boot:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-autoconfigure (org.springframework.boot:spring-boot-autoconfigure:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter (org.springframework.boot:spring-boot-starter:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-json (org.springframework.boot:spring-boot-starter-json:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-logging (org.springframework.boot:spring-boot-starter-logging:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-reactor-netty (org.springframework.boot:spring-boot-starter-reactor-netty:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-test (org.springframework.boot:spring-boot-starter-test:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-tomcat (org.springframework.boot:spring-boot-starter-tomcat:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-web (org.springframework.boot:spring-boot-starter-web:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-starter-webflux (org.springframework.boot:spring-boot-starter-webflux:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-test (org.springframework.boot:spring-boot-test:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) spring-boot-test-autoconfigure (org.springframework.boot:spring-boot-test-autoconfigure:2.6.6 - https://spring.io/projects/spring-boot)
     (Apache License, Version 2.0) Spring Plugin - Core (org.springframework.plugin:spring-plugin-core:2.0.0.RELEASE - https://github.com/spring-projects/spring-plugin/spring-plugin-core)
     (Apache License, Version 2.0) Spring Plugin - Metadata Extension (org.springframework.plugin:spring-plugin-metadata:2.0.0.RELEASE - https://github.com/spring-projects/spring-plugin/spring-plugin-metadata)
     (The Apache Software License, Version 2.0) org.xmlunit:xmlunit-core (org.xmlunit:xmlunit-core:2.8.4 - https://www.xmlunit.org/)
     (Apache License, Version 2.0) SnakeYAML (org.yaml:snakeyaml:1.29 - http://www.snakeyaml.org)
